--- ndoutils-1.4b7.orig/src/ndomod.c	2008-09-12 16:50:34.000000000 -0700
+++ ndoutils-1.4b7/src/ndomod.c	2008-09-15 13:29:56.000000000 -0700
@@ -3101,7 +3101,9 @@
 	double first_notification_delay=0.0;
 	double retry_interval=0.0;
 	int notify_on_host_downtime=0;
+	int notify_on_host_downtimestop=0;
 	int notify_on_service_downtime=0;
+	int notify_on_service_downtimestop=0;
 	int host_notifications_enabled=0;
 	int service_notifications_enabled=0;
 	int can_submit_commands=0;
@@ -3232,14 +3234,18 @@
 
 #ifdef BUILD_NAGIOS_3X
 		notify_on_service_downtime=temp_contact->notify_on_service_downtime;
+		notify_on_service_downtimestop=temp_contact->notify_on_service_downtimestop;
 		notify_on_host_downtime=temp_contact->notify_on_host_downtime;
+		notify_on_host_downtimestop=temp_contact->notify_on_host_downtimestop;
 		host_notifications_enabled=temp_contact->host_notifications_enabled;
 		service_notifications_enabled=temp_contact->service_notifications_enabled;
 		can_submit_commands=temp_contact->can_submit_commands;
 #endif
 #ifdef BUILD_NAGIOS_2X
 		notify_on_service_downtime=0;
+		notify_on_service_downtimestop=0;
 		notify_on_host_downtime=0;
+		notify_on_host_downtimestop=0;
 		host_notifications_enabled=1;
 		service_notifications_enabled=1;
 		can_submit_commands=1;
--- ndoutils-1.4b7.orig/include/nagios-3x/objects.h	2008-09-12 16:50:34.000000000 -0700
+++ ndoutils-1.4b7/include/nagios-3x/objects.h	2008-09-12 16:55:46.000000000 -0700
@@ -199,11 +199,13 @@
 	int     notify_on_service_recovery;
 	int     notify_on_service_flapping;
 	int     notify_on_service_downtime;
+	int	notify_on_service_downtimestop;
 	int 	notify_on_host_down;
 	int	notify_on_host_unreachable;
 	int	notify_on_host_recovery;
 	int     notify_on_host_flapping;
 	int     notify_on_host_downtime;
+	int	notify_on_host_downtimestop;
 	char	*host_notification_period;
 	char	*service_notification_period;
 	int     host_notifications_enabled;
@@ -634,7 +636,7 @@
 
 
 /**** Object Creation Functions ****/
-contact *add_contact(char *,char *,char *,char *,char **,char *,char *,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int);	/* adds a contact definition */
+contact *add_contact(char *,char *,char *,char *,char **,char *,char *,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int,int);	/* adds a contact definition */
 commandsmember *add_service_notification_command_to_contact(contact *,char *);				/* adds a service notification command to a contact definition */
 commandsmember *add_host_notification_command_to_contact(contact *,char *);				/* adds a host notification command to a contact definition */
 customvariablesmember *add_custom_variable_to_contact(contact *,char *,char *);                         /* adds a custom variable to a service definition */
